Get customer's addresses - Fabric

Get customer's addresses

cURL

curl --request GET \
  --url 'https://api.fabric.inc/v3/customers/{customerId}/customer-address?limit=10' \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://api.fabric.inc/v3/customers/{customerId}/customer-address?limit=10"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript

const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.fabric.inc/v3/customers/{customerId}/customer-address?limit=10', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.fabric.inc/v3/customers/{customerId}/customer-address?limit=10",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {

url := "https://api.fabric.inc/v3/customers/{customerId}/customer-address?limit=10"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Error Responses

{
  "type": "INVALID_ACCOUNT_PROVIDED",
  "message": "Invalid account provided for the request."
}
{
  "type": "REQUEST_DENIED",
  "message": "Forbidden"
}
{
  "type": "CUSTOMER_NOT_FOUND",
  "message": "Data with the given identifier isn't found"
}
{
  "type": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error"
}

Request Headers

Path Parameters

Query Parameters

Response 200

{
  "query": {
    "offset": 0,
    "limit": 20,
    "count": 100
  },
  "data": [
    {
      "id": "61604a30fdfacd0009816e44",
      "address": {
        "type": "BILLING",
        "addressLine1": "123 Main St.",
        "addressLine2": "Suite 100",
        "addressLine3": "Seventh floor",
        "addressLine4": "Attention: Pat E. Doe",
        "city": "Seattle",
        "region": "WA",
        "postalCode": 98121,
        "county": "King County",
        "country": "US",
        "latitude": 47.6205,
        "longitude": -122.3493
      },
      "isDeleted": false,
      "createdAt": "2023-08-30T23:20:42.822Z",
      "updatedAt": "2023-08-30T23:20:42.822Z",
      "additionalAttributes": {
        "landmark": "Beach"
      },
      "isDefault": false,
      "deletedAt": "2023-08-30T23:20:42.822Z"
    }
  ]
}